[module/volume]
type = internal/pulseaudio

use-ui-max = false

; format-volume =   <bar-volume>
format-volume = <ramp-volume> <bar-volume>
format-volume-background = ${colors.dark0_hard}
format-volume-foreground = ${colors.light0_soft}
format-volume-padding = 1
format-font = 4

ramp-volume-0 = 
ramp-volume-1 = 
ramp-volume-2 = 

format-muted =  <label-muted>
; format-muted =   <bar-volume>
format-muted-background = ${colors.dark0_hard}
format-muted-foreground = ${colors.faded_red}
format-muted-padding = 1
format-muted-font = 4

; label-volume = %percentage%%

; bar-muted-foreground = "#aaaaaa"

; label-muted = "---- muted ----"
; label-muted = "∣∣∣∣∣∣∣∣∣∣∣∣∣∣∣"
; label-muted = "───────────────"
label-muted = "···············"
; label-muted = ""

bar-volume-width = 16
bar-volume-gradient = false

bar-volume-indicator =
bar-volume-indicator-foreground = ${colors.light0_soft}
bar-volume-indicator-font = 4

; bar-volume-fill = ─
bar-volume-fill = ·
; bar-volume-fill = ∣
bar-volume-foreground-0 = ${colors.faded_yellow}
; bar-volume-foreground-0 = "#aaaaaa"
bar-volume-fill-font = 4

; bar-volume-empty = ─
bar-volume-empty = ·
; bar-volume-empty = ∣
bar-volume-empty-foreground = ${colors.dark0_soft}
bar-volume-empty-font = 4

click-right = pavucontrol

;; -------------------------------------------


[module/menu-apps]
type = custom/menu

; If true, <label-toggle> will be to the left of the menu items (default).
; If false, it will be on the right of all the items.
expand-right = true

; "menu-LEVEL-N" has the same properties as "label-NAME" with
; the additional "exec" property
;
; Commands will be executed using "/bin/sh -c $COMMAND"

menu-0-0 = Browsers
menu-0-0-exec = #menu-apps.open.1
menu-0-1 = Multimedia
menu-0-1-exec = #menu-apps.open.2

menu-1-0 = Firefox
menu-1-0-exec = firefox
menu-1-1 = Chromium
menu-1-1-exec = chromium

menu-2-0 = Gimp
menu-2-0-exec = gimp
menu-2-1 = Scrot
menu-2-1-exec = scrot

; Available tags:
;   <label-toggle> (default) - gets replaced with <label-(open|close)>
;   <menu> (default)
; If expand-right is true, the default will be "<label-toggle><menu>" and the
; other way around otherwise.
; Note that if you use <label-toggle> you must also include
; the definition for <label-open>
; format = <label-toggle><menu>

label-open = Apps
label-close = x

; Optional item separator
; Default: none
label-separator = |

;; -------------------------------------------

[module/weather]
type = custom/script
exec = busctl --user -j get-property io.ntfd /weather openweathermap.strings RenderedTemplate | jq -r .data
interval = 60
label-font = 2

;; -------------------------------------------

[module/date]
type = internal/date

interval = 1.0

time = %A / %d %b %Y / %H:%M:%S
; time-alt = %Y-%m-%d

format = <label>
format-background = ${colors.dark0_hard} 
format-foreground = ${colors.light0_soft}
format-padding = 1
 
label = %time%

; click-right = gnome-calendar &

;; -------------------------------------------

[module/i3]
type = internal/i3

pin-workspaces = true
strip-wsnumbers = false
index-sort = true

enable-click = true
enable-scroll = false

wrapping-scroll = false
reverse-scroll = false

format-padding = 1

; 
; ○●☼⭘
; 
; 懲直﭂ﭾﮊﮂﮣ﯈ﯜ
; ﯂



ws-icon-0 = 1;
ws-icon-1 = 2;
ws-icon-2 = 3;
ws-icon-3 = 4;聆
ws-icon-4 = 5;
ws-icon-5 = 6;
ws-icon-6 = 7;
ws-icon-7 = 8;
ws-icon-8 = 9;ﴫ
ws-icon-9 = 10;
ws-icon-default = 
; ws-icon-0 = 1;🞏
; ws-icon-1 = 2;
; ws-icon-2 = 3;
; ws-icon-3 = 4;ⅳ
; ws-icon-4 = 5;
; ws-icon-5 = 6;﯂
; ws-icon-6 = 7;﯂
; ws-icon-7 = 8;墳
; ws-icon-8 = 9;
; ws-icon-9 = 10;
; ws-icon-default = ﯂

format = <label-state> <label-mode>
label-focused = %icon%
; label-focused-foreground = ${colors.dark0_hard}
label-focused-foreground = ${colors.faded_red}
; label-focused-background = ${colors.faded_yellow}
label-focused-background = ${colors.dark0_hard}

; label-focused-underline = ${colors.bright_green}
label-focused-padding = 1
label-focused-font = 3

label-unfocused = %icon%
label-unfocused-foreground = ${colors.light0_soft}
label-unfocused-background = ${colors.dark0_hard}
; label-unfocused-underline = ${colors.light0_soft}
label-unfocused-padding = 1
label-unfocused-font = 3

label-visible = %icon%
label-visible-padding = 1
label-visible-font = 3

label-mode = %index% %mode%
label-mode-padding = 1
label-mode-background = ${colors.bright_aqua}
label-mode-font = 3

label-urgent = %icon%
label-urgent-foreground = ${colors.dark0_hard}
label-urgent-background = ${colors.bright_red}
label-urgent-padding = 1
label-urgent-font = 3

;; -------------------------------------------

[module/mpd_bar]
type = internal/mpd

interval = 1

host = 127.0.0.1
port = 6601

format-online = <label-song>  <bar-progress> 
format-online-background = ${colors.dark0_hard}
; format-online-foreground = ${colors.light0_soft}
format-online-foreground = "#aaaaaa"
format-online-padding = 3

label-time-foreground = ${colors.light0_soft}

label-song = "   %artist%  ▶  %title%"
label-song-maxlen = 60
label-song-ellipsis = true

label-offline = "mpd off"

bar-progress-width = 12
bar-progress-gradient = false

bar-progress-indicator = 
bar-progress-indicator-foreground = ${colors.bright_aqua}
bar-progress-indicator-font = 1

bar-progress-fill = ━
bar-progress-foreground-0 = ${colors.faded_yellow}
; bar-progress-foreground-0 = "#aaaaaa"
bar-progress-fill-font = 3

bar-progress-empty = ━
bar-progress-empty-foreground = ${colors.dark0_soft}
bar-progress-empty-font = 3

[module/mpd_i]
type = internal/mpd
interval = 2

host = 127.0.0.1
port = 6601
; socket = /run/mpd/socket

format-online = <toggle>
format-online-background = ${colors.faded_aqua}
format-online-foreground = ${colors.dark0_hard}
format-online-padding = 2
icon-play = 
icon-pause = 

;; -------------------------------------------

; [module/pulseaudio]
; type = internal/pulseaudio

; sink = alsa_output.pci-0000_12_00.3.analog-stereo
; use-ui-max = true

; interval = 5

; format-volume = <label-volume>
; format-volume-background = ${colors.light0_soft}
; format-volume-foreground = ${colors.light0_soft}
; format-volume-padding = 1

; label-muted = Muted
; format-muted-background = ${colors.light0_soft}
; format-muted-foreground = ${colors.bright_red}
; format-muted-padding = 1

;; -------------------------------------------

[module/memory]
type = internal/memory

; Seconds to sleep between updates
; Default: 1
interval = 3
format-padding = 1
format-font = 1
format-foreground = ${colors.light0_hard}
; format-foreground = "#aaaaaa"
format = <label> <bar-used>

; label =  
label = MEMORY 

; Only applies if <bar-used> is used
bar-used-indicator =
bar-used-width = 24
bar-used-fill-foreground = ${colors.faded_yellow}
; bar-used-fill = ─
bar-used-fill = ⋰
; bar-used-fill = ∣
bar-used-fill-font = 3
; bar-used-foreground = "#aaaaaa"
; bar-used-empty = ∣
; bar-used-empty = ─
bar-used-empty = ⋰
bar-used-empty-font = 3
bar-used-empty-foreground = ${colors.dark0_soft}

;; -------------------------------------------

[module/cpu]
type = internal/cpu

; Seconds to sleep between updates
; Default: 1
interval = 1
format-padding = 1
format-font = 1
format-foreground = ${colors.light0_hard}
; format-foreground = "#aaaaaa"
format = <label> <bar-load>
; label =  
label = CPU 

bar-load-indicator =
bar-load-width = 24
bar-load-fill-foreground = ${colors.faded_yellow}
; bar-load-foreground = "#aaaaaa"
bar-load-empty-foreground = ${colors.dark0_soft}
; bar-load-fill = ∣
; bar-load-fill = ─
bar-load-fill = ·
; bar-load-empty = ∣
; bar-load-empty = ─
bar-load-empty = ·
bar-load-fill-font = 3
bar-load-empty-font = 3


[module/network]
type = internal/network
; Name of the network interface to display. You can get the names of the
; interfaces on your machine with `ip link`
; Wireless interfaces often start with `wl` and ethernet interface with `eno` or `eth`
interface = enp8s0

; Seconds to sleep between updates
; Default: 1
interval = 3.0

; Test connectivity every Nth update
; A value of 0 disables the feature
; NOTE: Experimental (needs more testing)
; Default: 0
;ping-interval = 3

; @deprecated: Define min width using token specifiers (%downspeed:min% and %upspeed:min%)
; Minimum output width of upload/download rate
; Default: 3
udspeed-minwidth = 5

; Accumulate values from all interfaces
; when querying for up/downspeed rate
; Default: false
accumulate-stats = true

; Consider an `UNKNOWN` interface state as up.
; Some devices like USB network adapters have 
; an unknown state, even when they're running
; Default: false
unknown-as-up = true

; [module/workspaces]
; type = internal/xworkspaces

; pin-workspaces = true

; enable-click = true
; enable-scroll = true

; icon-0 = 1;
; icon-1 = 2;
; icon-2 = 3;
; icon-3 = 4;﨧
; icon-4 = 5;
; icon-5 = 6;
; icon-6 = 7;
; icon-7 = 8;墳
; icon-8 = 9;
; icon-9 = 10;
; icon-default = ﯂

; format = <label-state>
; format-padding = 0

; label-monitor = %name%

; label-active = %name% %icon%
; label-active-foreground = ${colors.dark0_hard}
; label-active-background = ${colors.bright_yellow}
; label-active-underline = ${colors.bright_red}

; label-occupied = %name% %icon%
; label-occupied-foreground = ${colors.light0_soft}
; label-occupied-background = ${colors.dark0_hard}

; label-urgent = %name% %icon%
; label-urgent-foreground = ${colors.dark0_hard}
; label-urgent-background = ${colors.bright_red}

; label-empty = %name% %icon%
; label-empty-foreground = ${colors.light0_soft}
; label-empty-background = ${colors.dark0_hard}

; label-active-padding = 1
; label-urgent-padding = 1
; label-occupied-padding = 1
; label-empty-padding = 1


;; -------------------------------------------

;;[module/bspwm]
;;type = internal/bspwm

; Only show workspaces defined on the same output as the bar
; NOTE: The bspwm and XRandR monitor names must match, which they do by default.
; Default: true
;;pin-workspaces = true

; Output mode flags after focused state label
; Default: false
;;inline-mode = false

; Create click handler used to focus workspace
; Default: true
;;enable-click = false

; Create scroll handlers used to cycle workspaces
; Default: true
;;enable-scroll = false

; Set the scroll cycle direction 
; Default: true
;;reverse-scroll = false

; Use fuzzy (partial) matching on labels when assigning 
; icons to workspaces
; Example: code;♚ will apply the icon to all workspaces 
; containing 'code' in the label
; Default: false
;;fuzzy-match = true

; ws-icon-[0-9]+ = label;icon
; Note that the label needs to correspond with the bspwm workspace name
;;ws-icon-0 = code;♚
;;ws-icon-1 = office;♛
;;ws-icon-2 = graphics;♜
;;ws-icon-3 = mail;♝
;;ws-icon-4 = web;♞
;;ws-icon-default = ♟

; Available tags:
;   <label-monitor>
;   <label-state> - gets replaced with <label-(focused|urgent|occupied|empty)>
;   <label-mode> - gets replaced with <label-(monocle|tiled|fullscreen|floating|locked|sticky|private)>
; Default: <label-state>
;;format = <label-state> <label-mode>

; Available tokens:
;   %name%
; Default: %name%
;;label-monitor = %name%

; If any values for label-dimmed-N are defined, the workspace/mode
; colors will get overridden with those values if the monitor is out of focus
; To only override workspaces in a specific state, use:
;   label-dimmed-focused
;   label-dimmed-occupied
;   label-dimmed-urgent
;   label-dimmed-empty
;;label-dimmed-foreground = #555
;;label-dimmed-underline = ${bar/top.background}
;;label-dimmed-focused-background = #f00

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
;;label-focused = %icon%
;;label-focused-foreground = #ffffff
;;label-focused-background = #3f3f3f
;;label-focused-underline = #fba922

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
;;label-occupied = %icon%
;;label-occupied-underline = #555555

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
;;label-urgent = %icon%
;;label-urgent-foreground = #000000
;;label-urgent-background = #bd2c40
;;label-urgent-underline = #9b0a20

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
;;label-empty = %icon%
;;label-empty-foreground = #55

; The following labels will be used to indicate the layout/mode
; for the focused workspace. Requires <label-mode>
;
; Available tokens:
;   None
;label-monocle = 
;label-tiled = 
;label-fullscreen = 
;label-floating = 
;label-pseudotiled = P
;label-locked = 
;label-locked-foreground = #bd2c40
;label-sticky = 
;label-sticky-foreground = #fba922
;label-private = 
;label-private-foreground = #bd2c40

; Separator in between workspaces
;;label-separator = |
;;label-separator-padding = 1
;;label-separator-foreground = #ffb52a

;; -------------------------------------------
